Skip to content

buildPurchaseToOrderPriceRows

WRITE

Build purchase to order price rows.

POST /api/v1/sales/buildPurchaseToOrderPriceRows
curl -X POST '<your-host>/api/v1/sales/buildPurchaseToOrderPriceRows' \
  -H 'Authorization: Bearer <api-key>' \
  -H 'Content-Type: application/json' \
  -d '{
    "quoteId": "string",
    "quoteLineId": "string",
    "quantities": []
  }'
Response
{
  "rows": [
    {
      "quoteId": "string",
      "quoteLineId": "string",
      "companyId": "string",
      "quantity": 0,
      "unitPrice": 0,
      "exchangeRate": 0,
      "createdBy": "string",
      "leadTime": 0,
      "discountPercent": 0,
      "categoryMarkups": {
        "…": 0
      },
      "priceSource": "string"
    }
  ],
  "error": "…"
}

Parameters

ParameterType

Input schema

schema
{
  "type": "object",
  "properties": {
    "quoteId": {
      "type": "string"
    },
    "quoteLineId": {
      "type": "string"
    },
    "quantities": {
      "type": "array",
      "items": {
        "type": "number"
      }
    },
    "itemIdOverride": {
      "type": [
        "string",
        "null"
      ]
    }
  },
  "required": [
    "quoteId",
    "quoteLineId",
    "quantities"
  ]
}